Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/BestSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/BestSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/BestSelector.cs	(revision 15018)
@@ -38,5 +38,5 @@
     public BestSelector() : base() { }
     [StorableConstructor]
-    private BestSelector(bool deserializing) : base(deserializing) { }
+    private BestSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private BestSelector(BestSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/ConditionalSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected ConditionalSelector(bool deserializing) : base(deserializing) { }
+    protected ConditionalSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ConditionalSelector(ConditionalSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/CrowdedTournamentSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/CrowdedTournamentSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/CrowdedTournamentSelector.cs	(revision 15018)
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    protected CrowdedTournamentSelector(bool deserializing) : base(deserializing) { }
+    protected CrowdedTournamentSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CrowdedTournamentSelector(CrowdedTournamentSelector original, Cloner cloner) : base(original, cloner) { }
     public CrowdedTournamentSelector()
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/EvolutionStrategyOffspringSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/EvolutionStrategyOffspringSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/EvolutionStrategyOffspringSelector.cs	(revision 15018)
@@ -113,5 +113,5 @@
 
     [StorableConstructor]
-    protected EvolutionStrategyOffspringSelector(bool deserializing) : base(deserializing) { }
+    protected EvolutionStrategyOffspringSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvolutionStrategyOffspringSelector(EvolutionStrategyOffspringSelector original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs	(revision 15018)
@@ -81,5 +81,5 @@
 
     [StorableConstructor]
-    protected GenderSpecificSelector(bool deserializing) : base(deserializing) { }
+    protected GenderSpecificSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GenderSpecificSelector(GenderSpecificSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/GeneralizedRankSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/GeneralizedRankSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/GeneralizedRankSelector.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private GeneralizedRankSelector(bool deserializing) : base(deserializing) { }
+    private GeneralizedRankSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private GeneralizedRankSelector(GeneralizedRankSelector original, Cloner cloner) : base(original, cloner) { }
     public GeneralizedRankSelector()
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LeftReducer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LeftReducer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LeftReducer.cs	(revision 15018)
@@ -34,5 +34,5 @@
   public sealed class LeftReducer : Reducer, IReducer {
     [StorableConstructor]
-    private LeftReducer(bool deserializing) : base(deserializing) { }
+    private LeftReducer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LeftReducer(LeftReducer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LeftSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LeftSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LeftSelector.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private LeftSelector(bool deserializing) : base(deserializing) { }
+    private LeftSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LeftSelector(LeftSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LinearRankSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 15018)
@@ -37,5 +37,5 @@
   public sealed class LinearRankSelector : StochasticSingleObjectiveSelector, ISingleObjectiveSelector {
     [StorableConstructor]
-    private LinearRankSelector(bool deserializing) : base(deserializing) { }
+    private LinearRankSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LinearRankSelector(LinearRankSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/MergingReducer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/MergingReducer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/MergingReducer.cs	(revision 15018)
@@ -34,5 +34,5 @@
   public sealed class MergingReducer : Reducer, IReducer {
     [StorableConstructor]
-    private MergingReducer(bool deserializing) : base(deserializing) { }
+    private MergingReducer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MergingReducer(MergingReducer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/NoSameMatesSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/NoSameMatesSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/NoSameMatesSelector.cs	(revision 15018)
@@ -77,5 +77,5 @@
 
     [StorableConstructor]
-    protected NoSameMatesSelector(bool deserializing) : base(deserializing) { }
+    protected NoSameMatesSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected NoSameMatesSelector(NoSameMatesSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/OffspringSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/OffspringSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/OffspringSelector.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected OffspringSelector(bool deserializing) : base(deserializing) { }
+    protected OffspringSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/ProportionalSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private ProportionalSelector(bool deserializing) : base(deserializing) { }
+    private ProportionalSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ProportionalSelector(ProportionalSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RandomReplacer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RandomReplacer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RandomReplacer.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    private RandomReplacer(bool deserializing) : base(deserializing) { }
+    private RandomReplacer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RandomReplacer(RandomReplacer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RandomSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    private RandomSelector(bool deserializing) : base(deserializing) { }
+    private RandomSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RandomSelector(RandomSelector original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Reducer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Reducer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Reducer.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected Reducer(bool deserializing) : base(deserializing) { }
+    protected Reducer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Reducer(Reducer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Replacer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Replacer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Replacer.cs	(revision 15018)
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected Replacer(bool deserializing) : base(deserializing) { }
+    protected Replacer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Replacer(Replacer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightChildReducer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightChildReducer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightChildReducer.cs	(revision 15018)
@@ -44,5 +44,5 @@
   public class RightChildReducer : Reducer, IReducer {
     [StorableConstructor]
-    protected RightChildReducer(bool deserializing) : base(deserializing) { }
+    protected RightChildReducer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RightChildReducer(RightChildReducer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightReducer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightReducer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightReducer.cs	(revision 15018)
@@ -34,5 +34,5 @@
   public sealed class RightReducer : Reducer, IReducer {
     [StorableConstructor]
-    private RightReducer(bool deserializing) : base(deserializing) { }
+    private RightReducer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RightReducer(RightReducer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/RightSelector.cs	(revision 15018)
@@ -46,5 +46,5 @@
     }
     [StorableConstructor]
-    private RightSelector(bool deserializing) : base(deserializing) { }
+    private RightSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RightSelector(RightSelector original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Selector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Selector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/Selector.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected Selector(bool deserializing) : base(deserializing) { }
+    protected Selector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Selector(Selector original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 15018)
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    protected SingleObjectiveSelector(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectiveSelector(SingleObjectiveSelector original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/StochasticSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/StochasticSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/StochasticSelector.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected StochasticSelector(bool deserializing) : base(deserializing) { }
+    protected StochasticSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticSelector(StochasticSelector original, Cloner cloner) : base(original, cloner) { }
     protected StochasticSelector()
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 15018)
@@ -37,5 +37,5 @@
     }
     [StorableConstructor]
-    protected StochasticSingleObjectiveSelector(bool deserializing) : base(deserializing) { }
+    protected StochasticSingleObjectiveSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticSingleObjectiveSelector(StochasticSingleObjectiveSelector original, Cloner cloner) : base(original, cloner) { }
     protected StochasticSingleObjectiveSelector()
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/TournamentSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private TournamentSelector(bool deserializing) : base(deserializing) { }
+    private TournamentSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private TournamentSelector(TournamentSelector original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/WorstReplacer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    private WorstReplacer(bool deserializing) : base(deserializing) { }
+    private WorstReplacer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private WorstReplacer(WorstReplacer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Selection/3.3/WorstSelector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 15018)
@@ -37,5 +37,5 @@
   public sealed class WorstSelector : SingleObjectiveSelector, ISingleObjectiveSelector {
     [StorableConstructor]
-    private WorstSelector(bool deserializing) : base(deserializing) { }
+    private WorstSelector(StorableConstructorFlag deserializing) : base(deserializing) { }
     private WorstSelector(WorstSelector original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
